Package org.eclipse.jgit.patch

## Enum FileHeader.PatchType

- java.lang.Object
- - java.lang.Enum<FileHeader.PatchType>
  - - org.eclipse.jgit.patch.FileHeader.PatchType

All Implemented Interfaces:
  `Serializable`, `Comparable<FileHeader.PatchType>`

Enclosing class:
  FileHeader

    public static enum FileHeader.PatchType
    extends Enum<FileHeader.PatchType>

Type of patch used by this file.

### Enum Constant Summary

Enum Constants
`BINARY` An empty patch with a message "Binary files ...
`GIT_BINARY` A Git binary patch, holding pre and post image deltas
`UNIFIED` A traditional unified diff style patch of a text file.

### Method Summary

All Methods Static Methods Concrete Methods
`static FileHeader.PatchType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FileHeader.PatchType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNIFIED

    public static final FileHeader.PatchType UNIFIED

A traditional unified diff style patch of a text file.

#### BINARY

    public static final FileHeader.PatchType BINARY

An empty patch with a message "Binary files ... differ"

#### GIT_BINARY

    public static final FileHeader.PatchType GIT_BINARY

A Git binary patch, holding pre and post image deltas

### Method Detail

#### values

    public static FileHeader.PatchType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileHeader.PatchType c : FileHeader.PatchType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileHeader.PatchType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null